:root {
  --color-primary: #c69963;
  --color-primary-a: rgba(198, 153, 99, 0.5);

  --color-primary-dark: #b28451;

  --color-secondary: #101d2c;
  --color-secondary-a: rgba(16, 29, 44, 0.93);

  --color-grey-light-1: #f9f7f6;
  --color-grey-light-2: #aaa;

  --color-grey-dark-1: #54483a;
  --color-grey-dark-2: #6d5d4b;

  --font-primary: "Nunito", sans-serif;
  --font-display: "Josefin Sans", sans-serif;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html {
  box-sizing: border-box;
  font-size: 62.5%;
}

body {
  font-family: var(--font-primary);
  font-size: 1.6rem;
  color: var(--color-grey-dark-2);
  font-weight: 300;
  line-height: 1.6;
}

.heading-1,
.heading-2,
.heading-3,
.heading-4 {
  font-family: var(--font-display);
  font-weight: 400;
}

.heading-1 {
  color: var(--color-grey-light-1);
  font-size: 4.5rem;
  line-height: 1;
}

.heading-2 {
  font-size: 4rem;
  font-style: italic;
  line-height: 1;
}

.heading-2--light {
  color: var(--color-grey-light-1);
}

.heading-2--dark {
  color: var(--color-grey-dark-1);
}

.heading-3 {
  font-size: 1.6rem;
  color: var(--color-primary);
  text-transform: uppercase;
}

.heading-4 {
  font-size: 1.9rem;
}

.heading-4--light {
  color: var(--color-grey-light-1);
}

.heading-4--dark {
  color: var(--color-grey-dark-1);
}

.btn {
  background-color: var(--color-primary);
  color: #fff;
  border: none;
  border-radius: none;
  font-family: var(--font-display);
  font-size: 1.5rem;
  text-transform: uppercase;
  padding: 1.8rem 3rem;
  cursor: pointer;
  transition: all 0.2s;
}

.btn:hover {
  background-color: var(--color-primary-dark);
}

.mb-sm {
  margin-bottom: 2rem;
}

.mb-md {
  margin-bottom: 3rem;
}

.mb-lg {
  margin-bottom: 4rem;
}

.mb-xl {
  margin-bottom: 8rem;
}

.container {
  display: grid;
  grid-template-rows: 80vh min-content min-content repeat(3, min-content);
  grid-template-columns:
    [sidebar-start] 8rem [sidebar-end full-start] minmax(6rem, 1fr)
    [center-start] repeat(8, [col-start] minmax(min-content, 14rem) [col-end])
    [center-end] minmax(6rem, 1fr) [full-end];
  /* justify-content: center; */ /* 1fr on both sides because sidebar */
}

/* === === === === === ===  */
/* === === SIDEBAR === === */
/* === === === === === ===*/
.sidebar {
  background-color: var(--color-primary);
  grid-column: sidebar-start / sidebar-end;
  grid-row: 1 / -1;

  display: flex;
  justify-content: center;
}

.sidebar .nav-btn {
  width: 4.5rem;
  height: 2px;

  background-color: #fff;

  margin-top: 4rem;

  border: none;
  border-radius: 0;
}

.sidebar .nav-btn::before,
.sidebar .nav-btn::after {
  content: "";
  background-color: #fff;
  height: 2px;
  width: 4.5rem;

  display: block;
}
.sidebar .nav-btn::before {
  transform: translateY(-1.5rem);
}

.sidebar .nav-btn::after {
  transform: translateY(1.3rem);
}

/* === === === === === === */
/* === === HEADER  === ===*/
/* === === === === === ===*/
.header {
  grid-column: full-start / col-end 6;

  background-color: var(--color-grey-dark-1);
  background-image: linear-gradient(
      var(--color-secondary-a),
      var(--color-secondary-a)
    ),
    url(./img/hero.jpeg);
  background-size: cover;
  background-position: center;

  padding: 8rem;
  padding-top: 4rem;

  display: grid;
  grid-template-rows: 1fr min-content minmax(6rem, min-content) 1fr;
  grid-template-columns: minmax(min-content, max-content);
  row-gap: 1.5rem;
  justify-content: center;
}

.header__logo {
  height: 3rem;
  justify-self: center;
}

.header__seenon-text {
  color: var(--color-grey-light-2);
  font-size: 1.6rem;

  display: grid;
  grid-template-columns: 1fr max-content 1fr;
  column-gap: 1.5rem;
  align-items: center;
}

.header__seenon-text::before,
.header__seenon-text::after {
  content: "";
  height: 1px;
  display: block;
  background-color: currentColor;
}

.header__seenon-logos {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 3rem;
  justify-items: center;
  align-items: center;
}

.header__seenon-logos img {
  max-width: 100%;
  max-height: 2.5rem;
  filter: brightness(70%);
}

.header__btn {
  align-self: start;
  justify-self: start;
}

/* === === === === === ===  */
/* === === REALTORS=== === */
/* === === === === === ===*/
.realtors {
  grid-column: col-start 7 / full-end;

  background-color: var(--color-secondary);
  padding: 3rem;

  display: grid;
  align-content: center;
  justify-content: center;
  row-gap: 2rem;
  justify-items: center;
}

.realtors__list {
  display: grid;
  grid-template-columns: min-content max-content;
  column-gap: 20px;
  row-gap: 5vh;
  align-items: center;
}

.realtors__img {
  width: 7rem;
  border-radius: 50%;
  display: block;
}

.realtors__sold {
  color: var(--color-grey-light-2);
  text-transform: uppercase;
  margin-top: -3px;
}

/* === === === === === ===  */
/* === === FEATURES=== === */
/* === === === === === ===*/
.features {
  grid-column: center-start / center-end;

  margin: 15rem 0;
}

@supports (display: grid) {
  .features {
    display: grid;
    /* grid-template-columns: repeat(3, 1fr); */
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    grid-gap: 6rem;
    align-items: flex-start;
  }
}

.feature {
  float: left;
  width: 33.3333%;
  margin-bottom: 6rem;

  display: grid;
  grid-template-columns: min-content 1fr;
  grid-row-gap: 1.5rem;
  grid-column-gap: 2rem;
}

@supports (display: grid) {
  .feature {
    width: auto;
    margin-bottom: 0;
  }
}

.feature__icon {
  fill: var(--color-primary);
  width: 4.5rem;
  height: 4.5rem;
  grid-row: 1 / span 2; /* -1 only work in explicit grid */

  transform: translateY(-1rem);
}

.feature__text {
  font-size: 1.7rem;
}

/* === === === === === ===  */
/* === === STORY   === === */
/* === === === === === ===*/
.story__pictures {
  grid-column: full-start / col-end 4;

  background-color: var(--color-primary);
  background-image: linear-gradient(
      var(--color-primary-a),
      var(--color-primary-a)
    ),
    url(./img/back.jpg);
  background-size: cover;
  width: 100%;

  display: grid;
  grid-template-rows: repeat(6, 1fr);
  grid-template-columns: repeat(6, 1fr);
  align-items: center;
}

.story__img--1 {
  width: 100%;
  grid-row: 2 / 6;
  grid-column: 2 / 6;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.1);
}

.story__img--2 {
  width: 115%;
  grid-row: 4 / 6;
  grid-column: 4 / 7;
  z-index: 10;
  box-shadow: 0 2rem 5rem rgba(0, 0, 0, 0.2);
}

.story__content {
  background-color: var(--color-grey-light-1);
  grid-column: col-start 5 / full-end;

  padding: 6rem 8vw;

  display: flex; /* display: grid; */
  flex-direction: column;
  justify-content: center; /* align-content: center; */
  align-items: flex-start; /* justify-items: start; */
}

.story__text {
  font-size: 1.5rem;
  font-style: italic;
  margin-bottom: 4rem;
}

/* === === === === === ===  */
/* === === HOMES   === === */
/* === === === === === ===*/
.homes {
  grid-column: center-start / center-end;

  margin: 15rem 0;

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
  gap: 7rem;
}

.home {
  background-color: var(--color-grey-light-1);

  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 3.5rem;
}

.home__img {
  width: 100%;
  z-index: 1;

  grid-column: 1 / -1;
  grid-row: 1 / 2;
}

.home__like {
  fill: var(--color-primary);
  width: 2.5rem;
  height: 2.5rem;
  margin: 1rem;
  z-index: 2;

  grid-row: 1 / 2;
  grid-column: 2 / 3;
  justify-self: end;
}

.home__name {
  width: 80%;
  background-color: var(--color-secondary);
  padding: 1.25rem;
  font-family: var(--font-display);
  font-size: 1.6rem;
  font-weight: 400;
  text-align: center;
  transform: translateY(50%);
  z-index: 2;

  grid-row: 1 / 2;
  grid-column: 1 / -1;
  justify-self: center;
  align-self: end;
}

.home__location,
.home__rooms {
  margin-top: 2.5rem;
}

.home__location,
.home__rooms,
.home__area,
.home__price {
  font-size: 1.5rem;
  margin-left: 2rem;

  display: flex;
  align-items: center;
}

.home__location svg,
.home__rooms svg,
.home__area svg,
.home__price svg {
  fill: var(--color-primary);
  width: 2rem;
  height: 2rem;
  margin-right: 1rem;
}

.home__btn {
  grid-column: 1 / -1;
}

/* === === === === === ===  */
/* === === GALLERY === === */
/* === === === === === ===*/
.gallery {
  background-color: var(--color-grey-light-1);
  grid-column: full-start / full-end;

  padding: 1.5rem;

  display: grid;
  grid-template-columns: repeat(8, 1fr);
  grid-template-rows: repeat(7, 5vw);

  grid-template: repeat(7, 5vw) / repeat(8, 1fr); /* shorthand */
  gap: 1.5rem;
}

.gallery__item--1 {
  grid-row: 1 / span 2;
  grid-column: 1 / span 2;
}

.gallery__item--2 {
  grid-row: 1 / span 3;
  grid-column: 3 / span 3;
}

.gallery__item--3 {
  grid-row: 1 / span 2;
  grid-column: 6 / span 1;
}

.gallery__item--4 {
  grid-row: 1 / span 2;
  grid-column: 7 / span 2;
}

.gallery__item--5 {
  grid-row: 3 / span 3;
  grid-column: 1 / span 2;
}

.gallery__item--6 {
  grid-row: 4 / span 2;
  grid-column: 3 / span 2;
}

.gallery__item--7 {
  grid-row: 4 / span 1;
  grid-column: 5 / span 1;
}

.gallery__item--8 {
  grid-row: 3 / span 2;
  grid-column: 6 / span 2;
}

.gallery__item--9 {
  grid-row: 3 / span 3;
  grid-column: 8 / span 1;
}

.gallery__item--10 {
  grid-row: 6 / span 2;
  grid-column: 1 / span 1;
}

.gallery__item--11 {
  grid-row: 6 / span 2;
  grid-column: 2 / span 2;
}

.gallery__item--12 {
  grid-row: 6 / span 2;
  grid-column: 4 / span 1;
}

.gallery__item--13 {
  grid-row: 5 / span 3;
  grid-column: 5 / span 3;
}

.gallery__item--14 {
  grid-row: 6 / span 3;
  grid-column: 8 / span 1;
}

.gallery__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* === === === === === ===  */
/* === === FOOTER  === === */
/* === === === === === ===*/
.footer {
  background-color: var(--color-secondary);
  grid-column: full-start / full-end;

  padding: 8rem;
}

.footer .nav {
  list-style: none;

  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
  gap: 2rem;
  align-items: center;
}

.footer .nav .nav__link:link,
.footer .nav .nav__link:visited {
  color: #fff;

  font-family: var(--font-display);
  font-size: 1.4rem;
  text-decoration: none;
  text-transform: uppercase;
  text-align: center;

  padding: 1.5rem;

  display: block;

  transition: all 0.2s;
}

.footer .nav .nav__link:hover,
.footer .nav .nav__link:active {
  background-color: rgba(255, 255, 255, 0.05);
  transform: translateY(-3px);
}

.copyright {
  width: 70%;

  color: var(--color-grey-light-2);
  font-size: 1.4rem;
  text-align: center;

  margin-top: 6rem;
  margin-right: auto;
  margin-left: auto;
}

@media only screen and (max-width: 1200px) {
  html {
    font-size: 50%;
  }
}

@media only screen and (max-width: 1000px) {
  .container {
    grid-template-rows: 6rem 80vh;
    grid-template-columns:
      [full-start] minmax(6rem, 1fr)
      [center-start] repeat(8, [col-start] minmax(min-content, 14rem) [col-end])
      [center-end] minmax(6rem, 1fr) [full-end];
  }

  .sidebar {
    grid-column: 1 / -1;
    grid-row: 1 / 2;
    justify-content: flex-end;
    align-items: center;
  }

  .sidebar .nav-btn {
    margin-top: 0;
    margin-right: 3rem;
  }

  .sidebar .nav-btn::before {
    transform: translateY(-1.2rem);
  }

  .sidebar .nav-btn::after {
    transform: translateY(1rem);
  }
}

@media only screen and (max-width: 900px) {
  .container {
    grid-template-rows: 6rem calc(100vh - 6rem) min-content min-content min-content repeat(
        3,
        min-content
      );
  }

  .header {
    grid-column: 1 / -1;
  }

  .realtors {
    grid-column: 1 / -1;
  }

  .realtors__list {
    grid-template-columns: repeat(3, min-content max-content);
  }

  .story__pictures {
    grid-column: 1 / -1;
    padding: 3rem;
  }

  .story__content {
    grid-column: 1 / -1;
    grid-row: 5 / 6;
  }

  .story__img--1 {
    grid-column: 1 / 5;
    grid-row: 1 / -1;
  }

  .story__img--2 {
    width: 100%;
    grid-row: 1 / -1;
  }
}

@media only screen and (max-width: 768px) {
  .realtors__list {
    grid-template-columns: min-content max-content;
  }
}
